# SafariNet
# Features
* 1.8 through 1.14 Compatibility
* BungeeCord Compatibility
* Support for ModPack Mobs
* Permission Nodes for Spawn Egg Crafting (Reusable and Single-Use Spawn Eggs)

**SafariNet supports the following plugins: WorldGuard, GriefPrevention, MyPet, PlotSquared, MythicMob, and Citizens!**
# Installation

1. Download the SafariNet plugin [here](https://www.spigotmc.org/resources/safarinet-capture-mobs-using-pok%C3%A9balls.9732/).
2. Place the SafariNet.jar file into your server's plugin folder.
3. Restart your server (Using the /Reload command is not recommended!)

# Permissions
* safarinet.craft.singleuse - Allows crafting of singleuse eggs
* safarinet.craft.reusable - Allows crafting of reusable eggs

#Safarinet has multiple permissions to control who can catch what mobs.


* safarinet.use - Permission used to allow both release and capturing of mobs.
* safarinet.release.(mob) - Permission to release (mob).
* safarinet.capture.(mob) - Permission to capture (mob).

Safarinet holds 2 more permissions safarinet.releasemob.use and safarinet.capturemob.use.
These 2 permissions can be used instead of safarinet.use to allow everyone to release mobs while allowing only a donator rank(or other) to capture them.

# Settings
* Similar to permissions there are settings to regulate permissions too.
* To allow everyone to craft eggs regardless of permission set: **use-permission-for-crafting: true** to false.(Default false)
* per-mob-permissions(Default false) regelates wether permission is required to capture that mob. Setting this to true means you need safarinet.catch.sheep to catch a sheep while keeping/setting it false means those with permission to capture/release([here](https://docs.spaceio.xyz/#/docs/plugins/safarinet?id=permissions)) to do so regardless of the mob in question.
* To disable a world from egg usages simply add your worlds name to 
disabled-worlds:
- your world.

* Same goes for mobs and names of mobs under "blacklist" and "blacklist-by-name" respectivly.
* We've spend extra time making sure every message important to the user is configurable.
* This saves us making language files while giving you the option to translate them to your own language.


# Crafting
* In the default config a section is dedicated to every egg type(singleuse/reusable).
* In this section you can alter what recipes(if the egg is enabled) are required to make the respective eggs.
* Since we support 1.8 through 1.14(latest) not all names may work.
* Older versions(1.8-1.12.2) depending on the plugin version they use, may need LEGACY_ to make that item work.
* 1.13-1.14.x support every block/item for their version as they are.

![safarinet_singleuse](https://git.spaceio.xyz/MasterCake/docs/src/master/plugins/media/safarinet_singleuse.png)

# Commands
* Main command: /safarinet
* alias: /sn
* Sub command:
- reload *Reloads the configurations and recipes.*
- recipe (singleuse/reusable) *Shows the layout and items required to craft that egg*
- give (player) (singleuse/reusable) [amount] *Gives 1 or multiple (egg type) to the (player). **Note: Eggs disabled won't work.**


